<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <link rel="stylesheet" href="stylesheets/screen.css" type="text/css" media="screen" />
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>
      Using Koha with zcc
  </title>
  <script src="javascripts/rounded_corners_lite.inc.js" type="text/javascript"></script>
<style>

</style>
  <script type="text/javascript">
    window.onload = function() {
      settings = {
          tl: { radius: 10 },
          tr: { radius: 10 },
          bl: { radius: 10 },
          br: { radius: 10 },
          antiAlias: true,
          autoPad: true,
          validTags: ["div"]
      }
      var versionBox = new curvyCorners(settings, document.getElementById("version"));
      versionBox.applyCornersToAll();
    }
  </script>
</head>
<body>
<div id="main">

    <h1>Using Koha with zcc</h1>
    <div id="version" class="clickable" onclick='document.location = "http://rubyforge.org/projects/zcc"; return false'>
      <p>Get Version</p>
      <a href="http://rubyforge.org/projects/zcc" class="numbers">0.2.0</a>
    </div>
    <p><a href="http://www.koha.org">Koha</a> + <a href="http://zcc.rubyforge.org/zcc.html">zcc</a></p>


	<h2>Hints</h2>


	<ol>
	<li>Follow all the directions on the <a href="http://zcc.rubyforge.org/zcc.html">main zcc page</a> carefully. Please let me know if you run into problems with configuration.</li>
	</ol>


	<ol>
	<li><a href="http://zcc.rubyforge.org/zcc.html">zcc</a> is <strong>not</strong> a part of Koha and is not developed by the same folks.</li>
	</ol>


	<ol>
	<li><a href="http://zcc.rubyforge.org/zcc.html">zcc</a> only creates utf-8 encoded records. If you want <span class="caps">MARC</span>-8 encoded records you&#8217;re on your own. <span class="caps">MARC</span>-8 encoding has already caused enough problems in this world, so I encourage folks to move to <span class="caps">UTF</span>-8 <span class="caps">ASAP</span>. If you use a different encoding that you want supported, please let me know. To set up Koha properly for dealing with <span class="caps">UTF</span>-8 encoded records see <a href="http://wiki.koha.org/doku.php?id=encodingscratchpad&#38;s=utf8">this wiki page</a></li>
	</ol>


	<ol>
	<li><span class="caps">ZCC</span> currently only works with a default install as paths are hardcoded. If there&#8217;s a need I&#8217;ll make it configurable for someone. Make sure the Koha modules are a part of your path. I accomplish this by adding &#8220;export <span class="caps">PERL5LIB</span>=/usr/local/koha/intranet/modules&#8221; and &#8220;export <span class="caps">KOHA</span>_CONF=/etc/koha.conf&#8221; without the quotes to my .bashrc (or add the path to /etc/profile for the root user). If your paths differ from the preceding saving to Koha will not work.</li>
	</ol>


	<ol>
	<li>You can then have 3 choices on how to get the records into koha:

	<ul>
	<li>Using the Koha Administration interface you can &#8220;Upload <span class="caps">MARC</span> records to the resevoir.&#8221; Then complete processing on the records like adding items and barcodes within the Koha web interface. The resevoir may strip out some fields that usually hold local content.</li>
	</ul>


	<ul>
	<li>If you have processed your records fully to include item numbers and barcodes, you can use the bulkmarcimport script to put the records directly into your database.  I&#8217;ve used bulkmarcimport without modification without problem. You may have different results and I&#8217;d like to hear them.</li>
	</ul>


<pre syntax="ruby">perl
  /usr/local/koha/intranet/scripts/misc/migration_tools/bulkmarcimport.pl -v -file
  /path/to/marc-file.mrc</pre>

	<p>That is all one line.</p>


	<ul>
	<li>Or configure the save_record_syntax of your zcc.yaml file to &#8216;koha2&#8217;.  If this gives you errors make sure you have exported environment variables with: &#8220;export -p&#8221;. You may also need to change the permissions on /etc/koha.conf to allow all users to view the file. If you get errors you can (though it might not be the best solution) do the following as root:</li>
	</ul>


<pre>chmod 644 /etc/koha.conf</pre></li>
	</ol>


	<h1>Contact</h1>


	<p>I use <span class="caps">ZCC</span> and Koha for my own work. So I&#8217;m very interested in making <span class="caps">ZCC</span> work better with Koha. Please send your comments, suggestions and patches to <a href="mailto:jronallo+zcc@gmail.com">Jason Ronallo</a></p>
    
</div>

<!-- insert site tracking codes here, like Google Urchin -->

</body>
</html>
